Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.model
Interface MutablePagePersonalization

All Superinterfaces:
  MutablePersonalizedObject, PagePersonalization, PersonalizedObject, PersonalizedResource, PortalResource, PortalScopedObject

public interface MutablePagePersonalization
extends PagePersonalization, MutablePersonalizedObject

Interface `MutablePagePersonalization` represents an editable personalization of a `Page` for a given identity.In the same way that a `ProfileIdentity` can represent either a usergroup or a user within a usergroup, so a `MutablePagePersonalization` can represent the mutable personalization of a `Page` for either a usergroup or a user within a usergroup.

Note: Changes made to objects implementing this interface are only expected to change the local state of the object. To persist updates this object (or an object that contains it) would have to be passed to an appropriate service, such as the `PortalManager` EJB.

Method Summary
`MutablePortletPersonalization` | `getMutablePortletPersonalization(PortletIdentifier portletId)` Returns a `MutablePortletPersonalization` object for the specified portlet on this page for the associated user.
`Iterator` | `getMutablePortletPersonalizations()` Returns an `Iterator` over all the `MutablePortletPersonalization` objects on this page for the associated user.
`void` | `setAvailable(Boolean available)` Sets whether this page is currently specified as available for this user or group.
`void` | `setDisplayMutable(Boolean displayMutable)`
`void` | `setDisplayName(String displayName)` Sets a display name for this resource suitable to be displayed to a user.
`void` | `setDisplayType(String displayType)`
`void` | `setIndex(int index)` Sets the index of this page for this user or group, determining the order in which the tab for this page appears during rendering.
`void` | `setLayout(LayoutIdentifier layout)` Sets the layout template to be used on this page for this user or group.
`void` | `setLayouts(List layouts)` Sets the `List` of objects representing the allowed set of layouts selectable users in this group on this page.
`void` | `setMandatory(Boolean mandatory)` Sets whether this page is currently specified as mandatory for this user or group.
`void` | `setPortletPersonalization(PortletPersonalization portletP13n)` Sets a `PortletPersonalization` to be contained within this page.
`void` | `setPortletPersonalizations(List portletList)` Sets the complete set of `PortletPersonalization`s to be contained on this page.
`void` | `setVisible(Boolean visible)` Sets whether this page is currently specified as visible for this user or group.

Methods inherited from interface com.bea.portal.model.PagePersonalization
`getDisplayType, getIdentifier, getIndex, getLayout, getLayouts, getPageIdentifier, getPortletPersonalization, getPortletPersonalizations, isAvailable, isDisplayMutable, isEntitled, isMandatory, isVisible`

Methods inherited from interface com.bea.portal.model.PortalResource
`getResourceIdentifier`

Methods inherited from interface com.bea.portal.model.PortalScopedObject
`getPortalIdentifier`

Methods inherited from interface com.bea.portal.model.PersonalizedObject
`getDisplayName, getProfileIdentity`

Method Detail

### setLayout

    public void setLayout(LayoutIdentifier layout)

  Sets the layout template to be used on this page for this user or group.

  Parameters:
    `layout` - a unique identifier for the layout selected.

### setLayouts

    public void setLayouts(List layouts)

  Sets the `List` of objects representing the allowed set of layouts selectable users in this group on this page.

  Note: This should only be defined for group personalizations and should be null for a user personalization.

  Parameters:
    `layouts` - a `List` of `LayoutIdentifier` objects.

### setIndex

    public void setIndex(int index)

  Sets the index of this page for this user or group, determining the order in which the tab for this page appears during rendering. This value should be a natural number. A value of -1 indicates unspecified. Note: This value must always be specified for group personalizations but is allowed to be null for a user personalization.

  Parameters:
    `index` - an `int` representing the position of this page.

### setVisible

    public void setVisible(Boolean visible)

  Sets whether this page is currently specified as visible for this user or group. A value of `null` (only valid for a user customization) indicates that the user has not specified whether or not this page should be visible.

  Parameters:
    `visible` - whether the page is specified as visible (or unspecified).

### setAvailable

    public void setAvailable(Boolean available)

  Sets whether this page is currently specified as available for this user or group. A value of `null` (only valid for a user customization) indicates that the user has not specified whether or not this page should be available.

  Parameters:
    `available` - whether the page is specified as available (or unspecified).

### setMandatory

    public void setMandatory(Boolean mandatory)

  Sets whether this page is currently specified as mandatory for this user or group. A value of `null` (only valid for a user customization) indicates that the user has not specified whether or not this page should be mandatory.

  Parameters:
    `mandatory` - whether the page is specified as mandatory (or unspecified).

### setPortletPersonalization

    public void setPortletPersonalization(PortletPersonalization portletP13n)

  Sets a `PortletPersonalization` to be contained within this page. If this `PortletPersonalization` already exists on this page (identity being established by comparison of associated `Identifier` objects) then it is replaced, otherwise it is added.

### setDisplayType

    public void setDisplayType(String displayType)

### setDisplayMutable

    public void setDisplayMutable(Boolean displayMutable)

### setDisplayName

    public void setDisplayName(String displayName)

  Description copied from interface: `MutablePersonalizedObject`
  Sets a display name for this resource suitable to be displayed to a user.

  Specified by:
    `setDisplayName` in interface `MutablePersonalizedObject`

### setPortletPersonalizations

    public void setPortletPersonalizations(List portletList)

  Sets the complete set of `PortletPersonalization`s to be contained on this page. Any existing `PortletPersonalization` objects are removed.

  Parameters:
    `portletList` - the list of portlet personalizations to set.

### getMutablePortletPersonalization

    public MutablePortletPersonalization getMutablePortletPersonalization(PortletIdentifier portletId)

  Returns a `MutablePortletPersonalization` object for the specified portlet on this page for the associated user. If there is no existing such personalization for this user then a blank one is created, added to the list of contained personalizations, and returned.

  Returns:
    the portlet personalization for the specified portlet.

### getMutablePortletPersonalizations

    public Iterator getMutablePortletPersonalizations()

  Returns an `Iterator` over all the `MutablePortletPersonalization` objects on this page for the associated user.

  Returns:
    all the portlet personalizations on this page.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved